Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: atrpms: devel

alsa-lib 1.0.24 and rhel6

 

 

atrpms devel RSS feed   Index | Next | Previous | View Threaded


promac at gmail

Mar 4, 2012, 6:39 AM

Post #1 of 7 (1305 views)
Permalink
alsa-lib 1.0.24 and rhel6

Just for the records...

installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse support.
Therefore, using flash via firefox or chrome precludes any other
application of gaining control of the sound card.

I have been struggling with this problem for a long time, and the only
solution
is reinstalling the original alsa-lib 1.0.22 from RedHat.

--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Mar 7, 2012, 11:17 PM

Post #2 of 7 (1241 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

Hi,

On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> Just for the records...
>
> installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse support.
> Therefore, using flash via firefox or chrome precludes any other
> application of gaining control of the sound card.

If flash/firefox really use pulse how does switching alsa affect this?
Perhaps the flash plugin is still using alsa directly?

Which flash plugin are you using, the one that RHEL ships or the
offcial one?

Thanks!

> I have been struggling with this problem for a long time, and the only
> solution
> is reinstalling the original alsa-lib 1.0.22 from RedHat.
--
Axel.Thimm at ATrpms.net

_______________________________________________
atrpms-devel mailing list
atrpms-devel [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-devel


promac at gmail

Mar 8, 2012, 1:04 AM

Post #3 of 7 (1245 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

On Thu, Mar 8, 2012 at 4:17 AM, Axel Thimm <Axel.Thimm [at] atrpms> wrote:

> Hi,
>
> On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> > Just for the records...
> >
> > installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse support.
> > Therefore, using flash via firefox or chrome precludes any other
> > application of gaining control of the sound card.
>
> If flash/firefox really use pulse how does switching alsa affect this?
> Perhaps the flash plugin is still using alsa directly?
>

I think it uses pulse though the alsa plugin. Anyway, opening pavucontrol
should show flash playing, but this was not happening in rhel6.


>
> Which flash plugin are you using, the one that RHEL ships or the
> offcial one?
>
>
Currently, I am using the flash 64 bits from adobe, but I have tried the
one from redhat
with the same results.

All my computers were upgraded to alsa-lib 1.0.24, but the ones with rhel6
presented
this problem. It was very annoying. When I switched back to alsa-lib 1.0.22
from redhat, I finally could use flash again concomitantly with other sound
applications.

--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Mar 10, 2012, 1:12 PM

Post #4 of 7 (1250 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

On Thu, Mar 08, 2012 at 06:04:11AM -0300, Paulo Cavalcanti wrote:
> On Thu, Mar 8, 2012 at 4:17 AM, Axel Thimm <Axel.Thimm [at] atrpms> wrote:
>
> > Hi,
> >
> > On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> > > Just for the records...
> > >
> > > installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse support.

BTW, what about 1.0.25?

> > > Therefore, using flash via firefox or chrome precludes any other
> > > application of gaining control of the sound card.
> >
> > If flash/firefox really use pulse how does switching alsa affect this?
> > Perhaps the flash plugin is still using alsa directly?
> >
>
> I think it uses pulse though the alsa plugin. Anyway, opening pavucontrol
> should show flash playing, but this was not happening in rhel6.
>
>
> >
> > Which flash plugin are you using, the one that RHEL ships or the
> > offcial one?
> >
> >
> Currently, I am using the flash 64 bits from adobe, but I have tried the
> one from redhat
> with the same results.
>
> All my computers were upgraded to alsa-lib 1.0.24, but the ones with rhel6
> presented
> this problem. It was very annoying. When I switched back to alsa-lib 1.0.22
> from redhat, I finally could use flash again concomitantly with other sound
> applications.
>
> --
> Paulo Roma Cavalcanti
> LCG - UFRJ

> _______________________________________________
> atrpms-devel mailing list
> atrpms-devel [at] atrpms
> http://lists.atrpms.net/mailman/listinfo/atrpms-devel


--
Axel.Thimm at ATrpms.net

_______________________________________________
atrpms-devel mailing list
atrpms-devel [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-devel


promac at gmail

Mar 11, 2012, 5:22 AM

Post #5 of 7 (1240 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

On Sat, Mar 10, 2012 at 6:12 PM, Axel Thimm <Axel.Thimm [at] atrpms> wrote:

> On Thu, Mar 08, 2012 at 06:04:11AM -0300, Paulo Cavalcanti wrote:
> > On Thu, Mar 8, 2012 at 4:17 AM, Axel Thimm <Axel.Thimm [at] atrpms>
> wrote:
> >
> > > Hi,
> > >
> > > On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> > > > Just for the records...
> > > >
> > > > installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse
> support.
>
> BTW, what about 1.0.25?
>


Is there an alsa-lib 1.0.25 in ATrpms? I am using alsa-driver 1.0.25 on
rhel6,
but the problem is alsa-lib, not alsa-driver... Alsa-lib 1.0.24 was a no
go regarding flash
support.


--
Paulo Roma Cavalcanti
LCG - UFRJ


Axel.Thimm at ATrpms

Mar 11, 2012, 8:14 AM

Post #6 of 7 (1241 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

On Sun, Mar 11, 2012 at 09:22:03AM -0300, Paulo Cavalcanti wrote:
> On Sat, Mar 10, 2012 at 6:12 PM, Axel Thimm <Axel.Thimm [at] atrpms> wrote:
>
> > On Thu, Mar 08, 2012 at 06:04:11AM -0300, Paulo Cavalcanti wrote:
> > > On Thu, Mar 8, 2012 at 4:17 AM, Axel Thimm <Axel.Thimm [at] atrpms>
> > wrote:
> > >
> > > > Hi,
> > > >
> > > > On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> > > > > Just for the records...
> > > > >
> > > > > installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse
> > support.
> >
> > BTW, what about 1.0.25?
> >
>
>
> Is there an alsa-lib 1.0.25 in ATrpms? I am using alsa-driver 1.0.25 on
> rhel6,
> but the problem is alsa-lib, not alsa-driver... Alsa-lib 1.0.24 was a no
> go regarding flash
> support.

No, there is no 1.0.25 lib in ATrpms (yet) as the demand is usually
for newer drivers (only). But the libs could easily be built if they
could solve such an issue.
--
Axel.Thimm at ATrpms.net

_______________________________________________
atrpms-devel mailing list
atrpms-devel [at] atrpms
http://lists.atrpms.net/mailman/listinfo/atrpms-devel


promac at gmail

Mar 11, 2012, 9:12 AM

Post #7 of 7 (1246 views)
Permalink
Re: alsa-lib 1.0.24 and rhel6 [In reply to]

On Sun, Mar 11, 2012 at 12:14 PM, Axel Thimm <Axel.Thimm [at] atrpms> wrote:

> On Sun, Mar 11, 2012 at 09:22:03AM -0300, Paulo Cavalcanti wrote:
> > On Sat, Mar 10, 2012 at 6:12 PM, Axel Thimm <Axel.Thimm [at] atrpms>
> wrote:
> >
> > > On Thu, Mar 08, 2012 at 06:04:11AM -0300, Paulo Cavalcanti wrote:
> > > > On Thu, Mar 8, 2012 at 4:17 AM, Axel Thimm <Axel.Thimm [at] atrpms>
> > > wrote:
> > > >
> > > > > Hi,
> > > > >
> > > > > On Sun, Mar 04, 2012 at 11:39:02AM -0300, Paulo Cavalcanti wrote:
> > > > > > Just for the records...
> > > > > >
> > > > > > installing alsa-lib 1.0.24 on rhel6 breaks flash plugin pulse
> > > support.
> > >
> > > BTW, what about 1.0.25?
> > >
> >
> >
> > Is there an alsa-lib 1.0.25 in ATrpms? I am using alsa-driver 1.0.25 on
> > rhel6,
> > but the problem is alsa-lib, not alsa-driver... Alsa-lib 1.0.24 was a no
> > go regarding flash
> > support.
>
> No, there is no 1.0.25 lib in ATrpms (yet) as the demand is usually
> for newer drivers (only). But the libs could easily be built if they
> could solve such an issue.
>
>
alsa-lib 1.0.22 from RedHat is so heavily patched that it is very difficult
to realize what it is happening.

I used alsa-lib 1.0.24 for several months until I could not cope anymore
with
flash hanging my sound card every time I went to youtube.

Interesting is that Fedora does not suffer from this problem. Maybe someone
else can test alsa-lib 1.0.24 on rhel6 and confirm (or not) this issue.

--
Paulo Roma Cavalcanti
LCG - UFRJ

atrpms devel RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.